Package com.destroystokyo.paper.event.player

# Enum Class PlayerArmorChangeEvent.SlotType

java.lang.Object
java.lang.Enum<PlayerArmorChangeEvent.SlotType>
com.destroystokyo.paper.event.player.PlayerArmorChangeEvent.SlotType

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerArmorChangeEvent.SlotType>`, `Constable`

Enclosing class:
  PlayerArmorChangeEvent

public static enum PlayerArmorChangeEvent.SlotType extends Enum<PlayerArmorChangeEvent.SlotType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHEST`
`FEET`
`HEAD`
`LEGS`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable PlayerArmorChangeEvent.SlotType`
`getByMaterial(@NotNull Material material)`
Gets the type of slot via the specified material
`@NotNull Set<Material>`
`getTypes()`
Gets an immutable set of all allowed material types that can be placed in an armor slot.
`static boolean`
`isEquipable(@NotNull Material material)`
Gets whether or not this material can be equipped to a slot
`static PlayerArmorChangeEvent.SlotType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerArmorChangeEvent.SlotType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HEAD

public static final PlayerArmorChangeEvent.SlotType HEAD

### CHEST

public static final PlayerArmorChangeEvent.SlotType CHEST

### LEGS

public static final PlayerArmorChangeEvent.SlotType LEGS

### FEET

public static final PlayerArmorChangeEvent.SlotType FEET

## Method Details

### values

public static PlayerArmorChangeEvent.SlotType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerArmorChangeEvent.SlotType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getTypes

@NotNull public @NotNull Set<Material> getTypes()
Gets an immutable set of all allowed material types that can be placed in an armor slot.

Returns:
  immutable set of material types

### getByMaterial

@Nullable public static @Nullable PlayerArmorChangeEvent.SlotType getByMaterial(@NotNull @NotNull Material material)
Gets the type of slot via the specified material

Parameters:
  `material` - material to get slot by
Returns:
  slot type the material will go in, or null if it won't

### isEquipable

public static boolean isEquipable(@NotNull @NotNull Material material)
Gets whether or not this material can be equipped to a slot

Parameters:
  `material` - material to check
Returns:
  whether or not this material can be equipped